{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "records/base.html" %}

{% block breadcrumbs %}
  {{ super() }}
  {% snippet "breadcrumb", url=url_for("records.new_record"), title=title %}
{% endblock %}

{% block content %}
  <div class="card">
    <span class="card-header">{{ title }}</span>
    <div class="card-body">
      <submission-form>
        {{ render_csrf() }}

        <h5 class="font-weight-bold">{% trans %}Metadata{% endtrans %}</h5>
        <hr class="mt-0">

        {% include "records/snippets/base_record_form.html" %}

        <h5 class="font-weight-bold">{% trans %}Additional settings{% endtrans %}</h5>
        <hr class="mt-0">
        <dynamic-select-field endpoint="{{ url_for('api.select_collections') }}"
                              placeholder="{% trans %}Search for collections{% endtrans %}"
                              :field="{{ json_field(form.linked_collections) }}"
                              :request-params="{action: ['read', 'link']}"
                              :multiple="true">
        </dynamic-select-field>
        <dynamic-select-field endpoint="{{ url_for('api.select_records') }}"
                              placeholder="{% trans %}Search for records{% endtrans %}"
                              :field="{{ json_field(form.copy_permission) }}">
        </dynamic-select-field>
        <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
      </submission-form>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  <script type="application/javascript" nonce="{{ csp_nonce() }}">
    new Vue({
      el: '#vm',
      data: {
        title: '',
        titleField: kadi.js_resources.title_field,
      },
      mounted() {
        this.title = this.titleField.data;

        const extras = kadi.js_resources.extras;
        if (extras.length > 0) {
          this.$refs.editor.initializeEditor(extras);
        }
      },
    });
  </script>
{% endblock %}
